Subject: RE: SFTP owner, group and mode flags...

From: Richard Whalen <[email-masked]>
Date: Thu, 4 Apr 2002 09:47:40 -0500

> -----Original Message-----
> From: Joseph Galbraith [mailto:[email-masked]]
> Sent: Thursday, March 21, 2002 10:35 AM
> To: Richard Whalen; [email-masked]
> Subject: Re: SFTP owner, group and mode flags...
> 
> 
> > The proposals for changes to the method in which user & 
> group information
> > and ACLs sound good.  I agree with the general idea of 
> using mechanisms
> that
> > have been developed in existing RFCs.
> >
> > >* Change the mode field to a type field, which indicates
> > >  the type of the file, and make it a byte field.
> >
> > I don't understand what you are talking about here.  The 
> only place that I
> > could find the word "mode" used in the document was in the 
> mention that
> > files are always opened in binary mode.  (Which I think is 
> an error.)
> 
> Sorry, I should have been more explicit here.
> 
> What I'm saying is that currently there are
> two pieces of information in permissions
> field:
> 
> * The type of file (directory, normal, special, etc.)
> * And the access rights for the owner, the group, and
>   everyone.
> 
> I was proposing that we split this.  We still need a type
> field.  This information could be encoded as a BYTE,
> with enumerations defined in the draft.
> 
> The access rights information would be encoded as an ACL.
> 
> - Joseph
> 

I basically agree with the above, but the way that access rights have been
specified does not specify all operations that could be performed on a file.
The FTP working group has come up with a set of ten permission indicators
that they are using in their new MLSx commands (machine formatted listings),
I think that it would be a good idea to consider the same methods.

The latest draft can be found at
http://www.ietf.org/internet-drafts/draft-ietf-ftpext-mlst-15.txt

----------------------
Richard Whalen
Process Software